PBDAGCON(1)

NAME
pbdagcon - sequence consensus using directed acyclic graphs

DESCRIPTION
pbdagcon is a tool that implements DAGCon (Directed Acyclic Graph Consensus) which is a sequence consensus algorithm based on using directed acyclic graphs to encode multiple sequence alignment. It uses the alignment information from blasr(1) to align sequence reads to a "backbone" sequence. Based on the underlying alignment directed acyclic graph (DAG), it will be able to use the new information from the reads to find the discrepancies between the reads and the "backbone" sequences. A dynamic programming process is then applied to the DAG to find the optimum sequence of bases as the consensus. The new consensus can be used as a new backbone sequence to iteratively improve the consensus quality. While the code is developed for processing PacBio(TM) raw sequence data, the algorithm can be used for general consensus purpose. Currently, it only takes FASTA input. For shorter read sequences, one might need to adjust the blasr(1) alignment parameters to get the alignment string properly. The code and the underlying graphical data structure have been used for some algorithm development prototyping including phasing reads, pre-assembly and a work around to generate consensus from intermediate Celera Assembler outputs.

OPTIONS
A summary of options is available from the program's help menu.

--help
    Show summary of options.

SEE ALSO
blasr(1),
/usr/share/doc/pbdagcon/examples